<%@ Page Language="C#" AutoEventWireup="true" CodeFile="ListConfiguration.aspx.cs" Inherits="Framework_SolutionFramework_ASPX_FormBuilder_ListConfiguration" %>

<%@ Register Assembly="ALCC_ListControl" Namespace="Assetlink.CustomControls" TagPrefix="ALCC" %>
<%@ Register Assembly="ALCC_ActionBar" Namespace="Assetlink.CustomControls" TagPrefix="ALCC" %>
<%@ Register Assembly="ALCC_Help" Namespace="Assetlink.CustomControls" TagPrefix="ALCC" %>
<%@ Register Assembly="ALCC_ALButton" Namespace="Assetlink.CustomControls" TagPrefix="ALCC" %>
<%@ Register Assembly="ALCC_SquareBlankSection" Namespace="Assetlink.CustomControls" TagPrefix="ALCC" %>
<%@ Register Assembly="ALCC_ALPopupControl" Namespace="Assetlink.CustomControls" TagPrefix="ALCC" %>
<%@ Register Assembly="ALCC_ALPanel" Namespace="Assetlink.CustomControls" TagPrefix="ALCC" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" >
<head runat="server">
    <title><asp:Literal runat="server" Text="<%$Resources:ALResource,FMK_FormConfig_ConfigureList%>"></asp:Literal></title>
    <script type="text/javascript" src="../../../../Common/JS/SpecialCharHandling.js"></script>
    <script type="text/javascript">
        function ClosePopup(PopupWindowID) 
        {
            parent.ALClosePopup(PopupWindowID);
        }
        function HandleLabelVisibleClick(Obj)
        {
//            var objLabeltr = document.getElementById("Labeltr");  
            var objEB_Label = null;
//            if (Obj != null && Obj.checked)
//            {
//                objLabeltr.style.visibility = 'visible';
//                objLabeltr.style.display = 'block';
//            }
//            else
//            {
//                objLabeltr.style.visibility = 'hidden';
//                objLabeltr.style.display = 'none';
//            }   
            
            objEB_Label = document.getElementById("EB_Label");  
            if (Obj != null && Obj.checked)
            {
                if (objEB_Label != null)
                {                
                    objEB_Label.disabled = "";
                    objEB_Label.className = "FormInputArea";    
                }
            }
            else
            {
                if (objEB_Label != null)
                {                
                    objEB_Label.disabled = "disabled";
                    objEB_Label.className = "FormInputAreaReadOnly";    
                }                
            }

        }
        function HandleIsHiddenClick(Obj)
        {
            var SplitID = Obj.id.split("_");
            var ControlObj = null;
            var ID;
            
            if (!Obj.checked)
            {
                ID = SplitID[0] + "_" + SplitID[1] + "_" + SplitID[2] + "_2_" + SplitID[4];
                ControlObj = document.getElementById(ID);  
                if (ControlObj != null)
                {                    
                    ControlObj.disabled = "";                            
                    ControlObj.parentNode.disabled = "";
                }
                
                ID = SplitID[0] + "_" + SplitID[1] + "_" + SplitID[2] + "_3_" + SplitID[4];
                ControlObj = document.getElementById(ID);  
                if (ControlObj != null)
                {                    
                    ControlObj.disabled = "";                            
                    ControlObj.parentNode.disabled = "";
                }
                
                ID = SplitID[0] + "_" + SplitID[1] + "_EB_" +  SplitID[3] + "_" + SplitID[4];
                ControlObj = document.getElementById(ID);  
                if (ControlObj != null)
                {
                    ControlObj.disabled = "";
                    ControlObj.className = "FormInputArea";            
                }

                ID = SplitID[0] + "_" + SplitID[1] + "_EB_2_" + SplitID[4];
                ControlObj = document.getElementById(ID);  
                if (ControlObj != null)
                {
                    ControlObj.disabled = "";
                    ControlObj.className = "FormInputArea";            
                }            
                
                ID = SplitID[0] + "_" + SplitID[1] + "_" + SplitID[2] + "_4_" + SplitID[4];
                ControlObj = document.getElementById(ID);  
                if (ControlObj != null)
                {                    
                    ControlObj.disabled = "";                            
                    ControlObj.parentNode.disabled = "";
                }
                
                ID = SplitID[0] + "_8_" + SplitID[4];
                ControlObj = document.getElementById(ID);  
                EnableDiableChild(ControlObj,true);
                
                ID = SplitID[0] + "_9_" + SplitID[4];
                ControlObj = document.getElementById(ID);  
                EnableDiableChild(ControlObj,true);
                
                ID = SplitID[0] + "_10_" + SplitID[4];
                ControlObj = document.getElementById(ID);  
                EnableDiableChild(ControlObj,true);
            }
            else
            {
                ID = SplitID[0] + "_" + SplitID[1] + "_" + SplitID[2] + "_2_" + SplitID[4];
                ControlObj = document.getElementById(ID);  
                if (ControlObj != null)
                {
                    ControlObj.disabled = "disabled";                    
                    ControlObj.parentNode.disabled = "";
                }
                
                ID = SplitID[0] + "_" + SplitID[1] + "_" + SplitID[2] + "_3_" + SplitID[4];
                ControlObj = document.getElementById(ID);  
                if (ControlObj != null)
                {
                    ControlObj.disabled = "disabled";                    
                    ControlObj.parentNode.disabled = "";
                }

                ID = SplitID[0] + "_" + SplitID[1] + "_EB_" +  SplitID[3] + "_" + SplitID[4];
                ControlObj = document.getElementById(ID);  
                if (ControlObj != null)
                {
                    ControlObj.disabled = "disabled";
                    ControlObj.className = "FormInputAreaReadOnly";
                }

                ID = SplitID[0] + "_" + SplitID[1] + "_EB_2_" + SplitID[4];
                ControlObj = document.getElementById(ID);  
                if (ControlObj != null)
                {
                    ControlObj.disabled = "disabled";
                    ControlObj.className = "FormInputAreaReadOnly";
                }
                
                ID = SplitID[0] + "_" + SplitID[1] + "_" + SplitID[2] + "_4_" + SplitID[4];
                ControlObj = document.getElementById(ID);  
                if (ControlObj != null)
                {
                    ControlObj.disabled = "disabled";                    
                    ControlObj.parentNode.disabled = "";
                }
                
                ID = SplitID[0] + "_8_" + SplitID[4];
                ControlObj = document.getElementById(ID);  
                EnableDiableChild(ControlObj,false);
                
                ID = SplitID[0] + "_9_" + SplitID[4];
                ControlObj = document.getElementById(ID);  
                EnableDiableChild(ControlObj,false);
                
                ID = SplitID[0] + "_10_" + SplitID[4];
                ControlObj = document.getElementById(ID);  
                EnableDiableChild(ControlObj,false);
            }
        }
        
        function EnableDiableChild(ParentElement,Enable)
        {
            if(ParentElement == null)
                return;
                
            for(var i=0; i < ParentElement.childNodes.length;i++)
            {
                if(ParentElement.childNodes[i].disabled != null && (ParentElement.childNodes[i].tagName == "INPUT" || ParentElement.childNodes[i].tagName == "SELECT"))
                {
                    if(Enable)
                    {
                        ParentElement.childNodes[i].disabled = "";
                        if( ParentElement.childNodes[i].type != "checkbox")
                            ParentElement.childNodes[i].className = "FormInputArea";
                    }
                    else
                    {
                        ParentElement.childNodes[i].disabled = "disabled";
                        if( ParentElement.childNodes[i].type != "checkbox")
                            ParentElement.childNodes[i].className = "FormInputAreaReadOnly";
                    }
                }   
                EnableDiableChild(ParentElement.childNodes[i],Enable)
            }
        }
        
        function ValidateLength(sender, MaxLength)
        {
            if (sender.value == "" || sender.value == null)
            {
                ShowAlert('Alert_FMK_FormConfig_EnterMaxLength');
                sender.value = MaxLength;
                sender.focus();
                return false;
            }
            else
            {
                if (parseInt(sender.value) > parseInt(MaxLength)) 
                {

                    var StrArrPlaceHolders;
                    StrArrPlaceHolders = new Array();
                    StrArrPlaceHolders[0] = new Array(1);
                    StrArrPlaceHolders[0][0] = "MAXLENGTH";
                    StrArrPlaceHolders[0][1] = MaxLength;
                    ShowAlert('Alert_FMK_FormConfig_MaxAllowedLengthExceedsMaxpermissibleLength', StrArrPlaceHolders);
                    sender.value = MaxLength;
                    sender.focus();
                    return false;
                }   
            }
            return true;
        }
        
        function ValidateRange(sender, MaxValue, CheckMaxValue)
        {
            if(sender.value == "")
            {
                if(sender.id.indexOf("MaxValue") > -1)
                    ShowAlert('Alert_FMK_FormConfig_EnterMaxValue');
                else
                    ShowAlert('Alert_FMK_FormConfig_EnterMinValue');
                sender.focus();
                return;
            }
            
            if(CheckMaxValue && (MaxValue != "" || MaxValue != null))
            {
                if (sender.value > MaxValue)
                {
                    var StrArrPlaceHolders;
                    StrArrPlaceHolders = new Array();
                    StrArrPlaceHolders[0] = new Array(1);
                    StrArrPlaceHolders[0][0] = "MAXDATAVALUE";
                    StrArrPlaceHolders[0][1] = MaxValue;
                    ShowAlert('Alert_FMK_FormConfig_MaxAllowedDataValueExceedsMaxPermissibleDataValue', StrArrPlaceHolders);
                    sender.value = MaxValue;
                    sender.focus();
                    return false;
                }   
            }

            if(sender.id.indexOf("MaxValue")> -1)
            {
              MinvalueObj = document.getElementById(sender.id.replace("MaxValue","MinValue"));
              
              if(MinvalueObj.value == "")
              {
                  ShowAlert('Alert_FMK_FormConfig_EnterMinValue');
                MinvalueObj.focus();
              } 
              
              if(parseInt(MinvalueObj.value) > parseInt(sender.value))
              {
                  ShowAlert('Alert_FMK_FormConfig_MaxValueIsLessThanMinValue');
               sender.value = "";
               sender.focus();
               return false;
              }
            }
            else
            {
                MaxvalueObj = document.getElementById(sender.id.replace("MinValue","MaxValue"));
                if(MaxvalueObj != null)
                {
                    if(MaxvalueObj.value == "")
                    {
                        ShowAlert('Alert_FMK_FormConfig_EnterMinValue');
                         MaxvalueObj.focus();
                    }
                        
                  if(parseInt(MaxvalueObj.value) < parseInt(sender.value))
                  {
                      ShowAlert('Alert_FMK_FormConfig_MinValueGreaterThanMaxValue');
                   sender.value = "";
                   sender.focus();
                   return false;
                  }
                } 
            }
            return true;
        }
        
        function OnValidationtypeChange(sender)
        {
            var IDPostFix = sender.id.substring(sender.id.indexOf("_"));
            
            document.getElementById("Div_MaxLength" + IDPostFix).style.display = 'none';
            document.getElementById("Div_Range" + IDPostFix).style.display = 'none';
            
            switch(sender.value)
            {
              case "MAXLENGTH":
              document.getElementById("Div_MaxLength" + IDPostFix).style.display = 'block';
              break;
              
              case "RANGE":
              document.getElementById("Div_Range" + IDPostFix).style.display = 'block';
              break;
            }
        }
        
        function onAuotoGenerateChkClick(sender)
        {
            var IDPostFix = sender.id.substring(sender.id.indexOf("_"));
            
            if(sender.checked)
                document.getElementById("Div_SeriesID" + IDPostFix).style.display = 'block';
            else
                document.getElementById("Div_SeriesID" + IDPostFix).style.display = 'none';
        }
        
        function HandlePostListSave(ControlID, PopupWindowID, ConfiguredFacetSeries)
        {
            var AJAXPresent = parent.document.getElementById('__AJAX_RequestMode')
            if (AJAXPresent== null)
            {
                parent.document.forms[0].__EVENTTARGET.value = ControlID;
                parent.document.forms[0].__EVENTARGUMENT.value = ConfiguredFacetSeries;
            }
            else
            {                
                parent.document.forms[0].action = "javascript:__doPostBack('" + ControlID + "','');";
            }
            parent.document.forms[0].submit();            
            parent.ALClosePopup("Div_" + PopupWindowID);
            return;

        }
        function HandleListSave(ControlID)
        {
            var ListRowsObj = document.getElementById("FieldList_ListRows");
            var ListRows = 0;
            var ConstID = "FieldList_FieldList";
            
            if (ListRowsObj != null)
                ListRows = ListRowsObj.value;
            
            var CheckBoxID;
            var CheckBoxObj;
            var TextBoxID;
            var TextBoxObj;
            
            for(var i=1; i <= ListRows; i++)
            {
                CheckBoxID = ConstID + "_CB_1_" + i;
                CheckBoxObj = document.getElementById(CheckBoxID);
                if (CheckBoxObj != null)
                {
                    if (!CheckBoxObj.checked)
                    {
                        TextBoxID = ConstID + "_EB_2_" + i;
                        TextBoxObj = document.getElementById(TextBoxID);
                        if (TextBoxObj != null)
                        {
                            if (TextBoxObj.value == '')
                            {
                                ShowAlert('Alert_FMK_FormConfig_ProvideColumnWidth');
                                TextBoxObj.focus();
                                return;
                            }
                        }
                    }
                }
            }
            __doPostBack(ControlID, '');
        }
        
        function ValidateNumeric(ControlObj)
        {                            
            if(ControlObj == null)
                return;

            var CurrText = ControlObj.value;                        
            if (CurrText.indexOf(" ") != -1 || CurrText.indexOf(".") != -1 || CurrText.indexOf("-") != -1)
            {
                ShowAlert('Alert_NumericValue_Shared');
                ControlObj.focus();
                ControlObj.value = '';                        
            }              

            if(isNaN(CurrText))
            {
                ShowAlert('Alert_NumericValue_Shared');
                ControlObj.focus();
                ControlObj.value = "";                                    
            }                
            return;            
        }
        
        function ToggleNote(obj_CB_Note, EB_ClientID)
        {
            var obj_EB_Note = document.getElementById(EB_ClientID);
            
            if(!obj_CB_Note.checked)
            {
                obj_EB_Note.disabled = "disabled";
                obj_EB_Note.className = "FormInputAreaReadOnly";
            }else
            {
                obj_EB_Note.disabled = "";
                obj_EB_Note.className = "FormInputArea";
            }
        }
        
        function HandleDeleteButton(ControlID, ControlName)
        {
            var count = 0;
            var item;
            var SelRecordNumber = "";
            
            for(var i=0; i < document.forms[0].elements.length;i++)
            {
                item   = document.forms[0].elements[i];            

                if ((item.checked) && (item.name.indexOf(ControlName)!=-1))
                {                
                    if (SelRecordNumber == "")
                        SelRecordNumber = item.value;
                    else
                        SelRecordNumber = SelRecordNumber + ";" + item.value ;                
                    count+=1;
                }            
            }            
            if(count < 1)
            {
                ShowAlert('Alert_FMK_FormConfig_SelectRecordToDelete');
                return;
            }
            else
            {            
                __doPostBack(ControlID,SelRecordNumber);	 		            
            }
        }
        
        function HandleAddButton(ControlID, ControlName)
        {        
            var item = null;
            for(var i=0; i < document.forms[0].elements.length;i++)
            {
                item   = document.forms[0].elements[i];            
                if (item.name.indexOf(ControlName)!=-1)                
                    break;                                    
            }
            if (item != null)
            {
                EditboxText = item.value;
                EditboxText = LTrim(EditboxText, " ");
                EditboxText = RTrim(EditboxText);
                if (EditboxText != '')
                {
                    OutputText = ALRemoveInvalidChars(EditboxText, NumbValueStr + LwrCharStr + UprCharStr + "_", "Button name can contain only following characters:\n \tA-Z, a-z, 0-9 and _", true);
		            if (OutputText == EditboxText)
	                    __doPostBack(ControlID,'');
		            else
		            {
			            item.value = OutputText;
			            item.focus();
			            return;
		            }
                }
                else
                {
                    ShowAlert('Alert_FMK_FormConfig_ButtonName');
                    item.value = '';
                    item.focus();
                    return;
                }
            }
        }
        function HandleEditDigitalAsset(ControlID, RelationshipName)
        {
            
        }
        function RTrim(str)
        {
	        if(str==null)
		        return null;
	        for(var i=str.length-1;str.charAt(i)==" ";i--);
	        return str.substring(0,i+1);
        }

        function LTrim(str, char_to_remove)
        {
	        if(str==null)
		        return null;
	        for(var i=0;str.charAt(i)==char_to_remove;i++);
	        return str.substring(i,str.length);
        }
        
        function HandlePopupSubmit(ControlID, PopupWindowID)
        {
            var AJAXPresent = document.getElementById('__AJAX_RequestMode')
            if (AJAXPresent== null)
            {
                document.forms[0].__EVENTTARGET.value = ControlID;
                document.forms[0].__EVENTARGUMENT.value = '';
            }
            else
            {                
                document.forms[0].action = "javascript:__doPostBack('" + ControlID + "','');";
            }
            ALClosePopup("Div_" + PopupWindowID);
            document.forms[0].submit();                        
            return;

        }

        function Field_HandlePostSave(HiddenButtonID, Parameters, Mode) 
        {
            Parameters       = DecodeSpecialCharactersForJS(Parameters)
            setTimeout(Parameters, 0);
            if (Mode == "SAVE")
                __doPostBack(HiddenButtonID, "")
            else if(Mode == "SAVE_TREEVIEW_CONFIG")
                __doPostBack(HiddenButtonID, "TREEVIEW_CONFIG")
        }

        function AddTranslation(cntrlID, btnName) 
        {
            var result;
            
            result = ShowConfirm('Alert_FMK_AddTranslations_Click');
            
            if (result == true) 
            __doPostBack(cntrlID, btnName)
        }

    </script>
</head>
<body style="width: 100%; left: 0; top: 0; margin-bottom: 0; margin-left: 0; margin-right: 0; margin-top: 0;">
    <form id="form1" runat="server">
        <div id="ListConfig_Div">
            <table style="width:100%;" cellpadding="0" cellspacing="0" border="0">
            <tr style="height: 5px;">
                <td style="width: 25%;"></td>
                <td style="width: 5px;"></td>
                <td style="width: 75%;"></td>
            </tr>            
            <tr style="height: 5px;"><td colspan="3"></td></tr>
            <tr id="Labeltr">
                <td colspan="1" class="LabelText"><asp:Label runat="server" ID="lbl_Label" />:</td>
                <td colspan="1">&nbsp;</td>
                <td colspan="1" align="left">
                    <asp:TextBox ID="EB_Label" runat="server" Columns="40"></asp:TextBox>
                </td>
            </tr>                        
            <tr>
                <td colspan="1" class="LabelText"><asp:Label runat="server" ID="lbl_LabelVisible" />:</td>
                <td colspan="1">&nbsp;</td>
                <td colspan="1" align="left">
                    <asp:CheckBox Checked="true" ID="CB_LabelVisible" runat="server" />
                </td>
            </tr>            
            <tr style="height: 5px;"><td colspan="3"></td></tr>
            <tr>
                <td colspan="1" class="LabelText"><asp:Label runat="server" ID="lbl_Mandatory" />:</td>
                <td colspan="1">&nbsp;</td>
                <td colspan="1" align="left">
                    <asp:CheckBox Checked="true" ID="CB_Mandatory" runat="server" />
                </td>
            </tr> 
            <tr style="height: 5px;"><td colspan="3"></td></tr>
            <tr>
                <td colspan="1" class="LabelText"><asp:Label runat="server" ID="lbl_PageSize" />:</td>
                <td colspan="1">&nbsp;</td>
                <td colspan="1" align="left">
                    <asp:TextBox ID="EB_PageSize" CssClass="FormInputArea" runat="server" Columns="40"></asp:TextBox>
                </td>
            </tr>           
            <tr style="height: 5px;"><td colspan="3"></td></tr>
            <tr>
                <td colspan="1" class="LabelText"><asp:Label runat="server" ID="lbl_ErrorMsg" />:</td>
                <td colspan="1">&nbsp;</td>
                <td colspan="1" align="left">
                    <asp:TextBox ID="EB_ErrorMessage" CssClass="FormInputArea" runat="server" Columns="40"></asp:TextBox>
                </td>
            </tr>            
            <tr style="height: 5px;"><td colspan="3"></td></tr>
            <tr>
                <td colspan="1" class="LabelText"><asp:Label runat="server" ID="lbl_ScrollWidth" Text="<%$Resources:ALResource,FMK_FormConfig_ROSeriesWidthInPixel%>"/>:</td>
                <td colspan="1">&nbsp;</td>
                <td colspan="1" align="left" style="white-space: nowrap;">
                    <asp:TextBox ID="EB_ScrollWidth" CssClass="FormInputArea" runat="server" Columns="10"></asp:TextBox>                    
                </td>
            </tr>
            <tr style="height: 5px;"><td colspan="3"></td></tr>
            <tr>
                <td colspan="1" class="LabelText"><asp:Label runat="server" ID="lbl_ScrollHeight" Text="<%$Resources:ALResource,FMK_FormConfig_ROSeriesHieghtInPixel%>"/>:</td>
                <td colspan="1">&nbsp;</td>
                <td colspan="1" align="left" style="white-space: nowrap;">
                    <asp:TextBox ID="EB_ScrollHeight" CssClass="FormInputArea" runat="server" Columns="10"></asp:TextBox>                    
                </td>
            </tr>
            
            <tr style="height: 5px;" runat="server" id="EditSeriesWidth_tr_1"><td colspan="3"></td></tr>
            <tr runat="server" id="EditSeriesWidth_tr_2">
                <td colspan="1" class="LabelText"><asp:Label runat="server" ID="lbl_EditScrollWidth" Text="<%$Resources:ALResource,FMK_FormConfig_EditableSeriesWidthInPixel%>"/>:</td>
                <td colspan="1">&nbsp;</td>
                <td colspan="1" align="left" style="white-space: nowrap;">
                    <asp:TextBox ID="EB_EditScrollWidth" CssClass="FormInputArea" runat="server" Columns="10"></asp:TextBox>                    
                </td>
            </tr>
            <tr runat="server" id="EditSeriesWidth_tr_3" style="height: 5px;"><td colspan="3"></td></tr>
            <tr runat="server" id="EditSeriesWidth_tr_4">
                <td colspan="1" class="LabelText"><asp:Label runat="server" ID="lbl_EditScrollHeight" Text="<%$Resources:ALResource,FMK_FormConfig_EditableSeriesHeightInPixel%>"/>:</td>
                <td colspan="1">&nbsp;</td>
                <td colspan="1" align="left" style="white-space: nowrap;">
                    <asp:TextBox ID="EB_EditScrollHeight" CssClass="FormInputArea" runat="server" Columns="10"></asp:TextBox>                    
                </td>
            </tr>
            <tr style="height: 5px;"><td colspan="3"></td></tr>                
         	<tr>
                <td colspan="1" class="LabelText"><asp:Label runat="server" ID="lbl_AddPopupTitle" />:</td>
                <td colspan="1">&nbsp;</td>
                <td colspan="1" align="left">
                    <asp:TextBox ID="EB_AddPopupTitle" CssClass="FormInputArea" runat="server" Columns="40"></asp:TextBox>
                </td>
            </tr>                        
            <tr style="height: 5px;"><td colspan="3"></td></tr>
			<tr runat="server" id="Edit_tr_1">
                <td colspan="1" class="LabelText"><asp:Label runat="server" ID="lbl_EditPopupTitle" />:</td>
                <td colspan="1">&nbsp;</td>
                <td colspan="1" align="left">
                    <asp:TextBox ID="EB_EditPopupTitle" CssClass="FormInputArea" runat="server" Columns="40"></asp:TextBox>
                </td>
            </tr>                            		        
            <tr runat="server" id="Edit_tr_2" style="height: 5px;"><td colspan="3"></td></tr>
        <!--<tr>
                <td colspan="1" class="LabelText"><asp:Label runat="server" ID="lbl_PopupWidth"/>:</td>
                <td colspan="1">&nbsp;</td>
                <td colspan="1" align="left" style="white-space: nowrap;">
                    <asp:TextBox ID="EB_PopupWidth" CssClass="FormInputArea" runat="server" Columns="10"></asp:TextBox>
                    <ALCC:Help ID="PopupWidth_Help" runat="server" />
                </td>
            </tr>
            <tr style="height: 5px;"><td colspan="3"></td></tr>
            <tr>
                <td colspan="1" class="LabelText"><asp:Label runat="server" ID="lbl_PopupHeight" />:</td>
                <td colspan="1">&nbsp;</td>
                <td colspan="1" align="left" style="white-space: nowrap;">
                    <asp:TextBox ID="EB_PopupHeight" CssClass="FormInputArea" runat="server" Columns="10"></asp:TextBox>
                    <ALCC:Help ID="PopupHeight_Help" runat="server" />
                </td>
            </tr>
         -->  
            
            <tr style="height: 5px;"><td colspan="3"></td></tr>
            <tr>
                <td colspan="1" class="LabelText"><asp:Label runat="server" ID="lbl_Note" />:</td>
                <td colspan="1">&nbsp;</td>
                <td colspan="1" align="left" style="white-space: nowrap;">
                    <asp:CheckBox runat="server" ID="CB_Note"/>
                    <ALCC:Help ID="Help_Note" runat="server"/>
                </td>
            </tr>
            <tr style="height: 1px;"><td colspan="3"></td></tr>
            <tr>
                <td colspan="1" class="LabelText"></td>
                <td colspan="1">&nbsp;</td>
                <td colspan="1" align="left" style="white-space: nowrap;">
                    <asp:TextBox ID="EB_Note" CssClass="FormInputArea" runat="server" Columns="70" TextMode="MultiLine" Rows="4"></asp:TextBox>
                </td>
            </tr>            
            <tr style="height: 8px;"><td colspan="3"></td></tr>
            <tr>
                <td colspan="1" class="LabelText"><asp:Label runat="server" ID="Label1" Text="<%$Resources:ALResource,FMK_FormConfig_UseAllColumnForImportExport%>" />:</td>
                <td colspan="1">&nbsp;</td>
                <td colspan="1" align="left" style="white-space: nowrap;">
                    <asp:CheckBox runat="server" ID="CB_ImportExportColumns"/>
                </td>
            </tr>
            <tr style="height: 8px;"><td colspan="3"></td></tr>
            <tr>
                <td colspan="1" class="LabelText"><asp:Label runat="server" ID="lbl_TemplateLink" Text="<%$Resources:ALResource,FMK_FormConfig_EnableExcelTemplateLink%>" />:</td>
                <td colspan="1">&nbsp;</td>
                <td colspan="1" align="left" style="white-space: nowrap;">
                    <asp:CheckBox runat="server" ID="CB_TemplateLink"/>
                </td>
            </tr>
            <tr style="height: 8px;"><td colspan="3"></td></tr>
            <tr>
                <td colspan="1" class="LabelText"><asp:Label runat="server" ID="lbl_SortColumn" Text="<%$Resources:ALResource,FMK_FormConfig_SortColumn%>" />:</td>
                <td colspan="1">&nbsp;</td>
                <td colspan="1" align="left" style="white-space: nowrap;">
                    <asp:DropDownList ID="DDL_SortColumn" runat="server" CssClass="Text" ></asp:DropDownList>
                </td>
            </tr>
            <tr style="height: 8px;"><td colspan="3"></td></tr>
            <tr>
                <td colspan="1" class="LabelText" valign="middle"><asp:Label runat="server" ID="lbl_SortOrder" Text="<%$Resources:ALResource,SortOrder_Shared%>" />:</td>
                <td colspan="1" valign="top">&nbsp;</td>
                <td colspan="1" align="left" valign="middle">
                    <table style="width:100%;" cellpadding="0" cellspacing="0" border="0">
                        <tr style="width:100%;">
                            <td align="left" valign="middle" style="width:1%">
                                <asp:RadioButton ID="RB_ASC" runat="server" CssClass="Text" GroupName="SortOrder" />                                
                            </td>                            
                            <td align="left" valign="middle" style="width:10%;">
                                <span class="Text"><asp:Literal runat="server" Text="<%$Resources:ALResource,SortOrder_Ascending_shared%>"></asp:Literal></span>
                            </td>
                            <td align="left" valign="middle" style="width: 1%;">
                                <asp:RadioButton ID="RB_DESC" runat="server" CssClass="Text" GroupName="SortOrder" />                                
                            </td>                            
                            <td align="left" valign="middle" style="width: 88%;">
                                <span class="Text"><asp:Literal runat="server" Text="<%$Resources:ALResource,SortOrder_Descending_shared%>"></asp:Literal></span>
                            </td>
                        </tr>
                    </table>                                                                                
                </td>
            </tr>     
            <tr style="height: 8px;"><td colspan="3"></td></tr>
            <tr>
                <td colspan="1" class="LabelText" valign="middle"><asp:Label runat="server" ID="lbl_DisplayIterator" Text="<%$Resources:ALResource,FMK_FormConfig_ConfigureList_IteratorDisplayHelp_Header%>" />:</td>
                <td colspan="1" valign="top">&nbsp;</td>
                <td colspan="1" align="left" valign="middle">
                    <table style="width:100%;" cellpadding="0" cellspacing="0" border="0">
                        <tr style="width:100%;">
                            <td align="left" valign="middle" style="width:1%">
                                <asp:RadioButton ID="RB_DisplayIteratorRight" runat="server" CssClass="Text" GroupName="DisplayIterator" />                                
                            </td>                            
                            <td align="left" valign="middle" style="width:10%;">
                                <span class="Text"><asp:Literal runat="server" Text="<%$Resources:ALResource,Right_Shared%>"></asp:Literal></span>
                            </td>
                            <td align="left" valign="middle" style="width: 1%;">
                                <asp:RadioButton ID="RB_DisplayIteratorLeft" runat="server" CssClass="Text" GroupName="DisplayIterator" />                                
                            </td>                            
                            <td align="left" valign="middle" style="width: 10%;">
                                <span class="Text"><asp:Literal ID="Literal1" runat="server" Text="<%$Resources:ALResource,Left_Shared%>"></asp:Literal></span>
                            </td>
                            <td align="left" valign="middle" style="width: 1%;">
                                <asp:RadioButton ID="RB_DisplayIteratorBoth" runat="server" CssClass="Text" GroupName="DisplayIterator" />                                
                            </td>                            
                            <td align="left" valign="middle" style="width: 78%;">
                                <span class="Text"><asp:Literal runat="server" Text="<%$Resources:ALResource,Both_Shared%>"></asp:Literal></span>
                                <ALCC:Help ID="IteratorDisplayHelp" runat="server" />
                            </td>
                        </tr>
                    </table>                                                                                
                </td>
            </tr>        
            <tr style="height: 8px;"><td colspan="3"></td></tr>
            <tr>
                <td colspan="1" class="LabelText" valign="top">
                    <asp:Label ID="lbl_DefineRule" runat="server"></asp:Label>
                </td>                                         
                <td colspan="1" valign="top">&nbsp;</td>       
                <td colspan="1">
                    <ALCC:ALPanel ID="Div_RuleConfiguration" runat="server">
                        <table cellpadding="0" cellspacing="0" border="0" style="width: 100%;">
                        <tr>
                            <td style="width: 8%;">
                            </td>
                            <td style="width: 5px;">
                            </td>
                            <td style="width: 92%">
                            </td>
                        </tr>
                        <tr>
                            <td colspan="3">
                                <asp:Label ID="lbl_RuleMsg" runat="server"></asp:Label>
                            </td>
                        </tr>
                        <tr>
                            <td colspan="3" style="height: 5px;">
                            </td>
                        </tr>
                        <tr>
                            <td colspan="1">
                                <ALCC:ALButton ID="Btn_ConfigRule" runat="server" UIType="ALSmallButton"></ALCC:ALButton>
                            </td>
                            <td colspan="1">
                            </td>
                            <td colspan="1">
                                <ALCC:ALButton ID="Btn_RemoveRule" runat="server" UIType="ALSmallButton"
                                   OnClick="Btn_RemoveRule_Click" Visible="false"></ALCC:ALButton>
                            </td>
                        </tr>
                    </table>
                    </ALCC:ALPanel>
                </td>
            </tr>
            <tr style="height: 8px;"><td colspan="3"></td></tr>
            <tr>
                <td colspan="1" class="LabelText" style="vertical-align: top;">
                    <asp:Label ID="lbl_DefineCondition" CssClass="LabelText" runat="server"></asp:Label>
                </td>                  
                <td colspan="1" valign="top">&nbsp;</td>                              
                <td colspan="1">
                    <ALCC:ALPanel ID="Div_CondConfiguration" runat="server">
                        <table cellpadding="0" cellspacing="0" border="0" style="width: 100%;">
                        <tr>
                            <td style="width: 8%;">
                            </td>
                            <td style="width: 5px;">
                            </td>
                            <td style="width: 92%">
                            </td>
                        </tr>
                        <tr>
                            <td colspan="3">
                                <asp:Label ID="lbl_ConditionMsg" runat="server"></asp:Label>
                            </td>
                        </tr>
                        <tr>
                            <td colspan="3" style="height: 5px;">
                            </td>
                        </tr>
                        <tr>
                            <td colspan="1">
                                <ALCC:ALButton ID="Btn_ConfigCondition" runat="server" UIType="ALSmallButton"></ALCC:ALButton>
                            </td>
                            <td colspan="1">
                            </td>
                            <td colspan="1">
                                <ALCC:ALButton ID="Btn_RemoveCondition" runat="server" UIType="ALSmallButton"
                                   OnClick="Btn_RemoveCondition_Click" Visible="false"></ALCC:ALButton>
                            </td>
                        </tr>
                    </table>
                    </ALCC:ALPanel>
                </td>
            </tr>
            <tr style="height: 8px;"><td colspan="3"></td></tr>
            <tr>
                <td colspan="1" class="LabelText" style="vertical-align: top;">
                    <asp:Label ID="lbl_ConfigureWS" CssClass="LabelText" runat="server"></asp:Label>
                </td>                
                <td colspan="1" valign="top">&nbsp;</td>                                 
                <td colspan="1">
                    <ALCC:ALPanel ID="Div_ConfigWS" runat="server">
                        <table cellpadding="0" cellspacing="0" border="0" style="width: 100%;">
                            <tr>
                                <td style="width: 8%;">
                                </td>
                                <td style="width: 5px;">
                                </td>
                                <td style="width: 8%">
                                </td>
                                <td style="width: 84%">
                                </td>
                            </tr>
                            <tr>
                                <td colspan="4">
                                    <asp:Label ID="lbl_WSMsg" runat="server"></asp:Label>
                                </td>
                            </tr>
                            <tr>
                                <td colspan="4" style="height: 5px;">
                                </td>
                            </tr>
                            <tr>
                                <td colspan="1">
                                    <ALCC:ALButton ID="Btn_ConfigWS" runat="server" UIType="ALSmallButton"></ALCC:ALButton>
                                </td>
                                <td colspan="1"></td>
                                <td colspan="1">
                                    <ALCC:ALButton ID="Btn_RemoveWS" runat="server" UIType="ALSmallButton"
                                       OnClick="Btn_RemoveWSConfiguration_Click" Visible="false"></ALCC:ALButton>
                                </td>
                                <td colspan="1">
                                    <asp:Label ID="lbl_WSNote" runat="server"></asp:Label>                                                                    
                                </td>                                                            
                            </tr>
                        </table>
                    </ALCC:ALPanel>
                </td>
            </tr>
            <tr style="height: 8px;"><td colspan="3"></td></tr>
            <tr>
                <td colspan="3">
                    <div id="Div_FieldList">
                        <ALCC:ListControl ID="FieldList" EnableIterators="false" runat="server">
                        </ALCC:ListControl>     
                    </div>               
                </td>
            </tr>     
            <tr>
                <td colspan="3">
                    <div id="Div_FieldListActionBar">
                        <ALCC:ActionBar ID="FieldList_Actionbar" runat="server" Visible="true"></ALCC:ActionBar>
                    </div>
                </td>       
            </tr>
            <tr style="height: 8px;"><td colspan="3"></td></tr>
            <tr>
                <td colspan="3">
                    <div id="Div1">
                        <ALCC:SquareBlankSection ID="ButtonListSection" runat="server" SectionHeading="<%$Resources:ALResource,FMK_FormConfig_ButtonList%>">
                            <ItemTemplate>
                                <table style="width:100%;" cellpadding="0" cellspacing="0" border="0">
                                    <tr>
                                        <td style="width: 100%;">
                                            <div id="Div_ButtonList">
                                                <ALCC:ListControl ID="ButtonList" EnableIterators="false" runat="server" TitleBarVisible="false">
                                                </ALCC:ListControl>
                                            </div>                                                                                
                                        </td>
                                    </tr>                                                                    
                                    <tr>
                                        <td colspan="1">
                                            <div id="Div_ButtonListActionBar">
                                                <ALCC:ActionBar ID="ButtonList_Actionbar" runat="server"></ALCC:ActionBar>
                                            </div>
                                        </td>
                                    </tr>  
                                    <tr style="height: 8px;"><td colspan="1"></td></tr>                                  
                                </table>                        
                            </ItemTemplate>                        
                        </ALCC:SquareBlankSection>
                    </div>               
                </td>
            </tr>  
            <tr style="height: 8px;"><td colspan="3"></td></tr>          
            <tr>
                <td colspan="3">
                    <div id="Div_ListActionBar">
                        <ALCC:ActionBar ID="ListConfiguration_Actionbar" runat="server"></ALCC:ActionBar>
                    </div>
                </td>
            </tr>
        </table>  
        </div>    

        <div id="DigitalAssetConfig">            
            <iframe id="Dimmerframe" class="dimmer" style="position: absolute; display: none;"></iframe>
            <ALCC:ALPopupControl ID="DigitalAsset_Popup" runat="server" ShowDimmer="true"></ALCC:ALPopupControl>
        </div>
        <div id="RuleConfig">            
            <ALCC:ALPopupControl ID="RuleConfig_Popup" runat="server" ShowDimmer="true">
            </ALCC:ALPopupControl>
        </div>
        <div id="Div_ConfigPopupContainer">            
            <ALCC:ALPopupControl ID="ConditionConfig_Popup" runat="server" ShowDimmer="true">
            </ALCC:ALPopupControl>
            <ALCC:ALPopupControl ID="Popup_WSConfig" runat="server" ShowDimmer="true">
            </ALCC:ALPopupControl>
        </div>
        <div>
            <ALCC:ALPopupControl ID="Popup_TreeViewConfig" runat="server" ShowDimmer="true">
            </ALCC:ALPopupControl>
        </div>
        <div id="HiddenBtnDiv" style="visibility: hidden; display:none;">
            <div id="Div_UpdateAssetDoneBtn">
                <ALCC:ALButton ID="Hidden_UpdateDigitalAsset_Done" runat="server" OnClick="UpdateDigitalAssetDone_Click"></ALCC:ALButton>
            </div>
            <div id="Div_EditAssetBtn">
                <ALCC:ALButton ID="Hidden_EditDigitalAsset" runat="server" OnClick="EditDigitalAsset_Click"></ALCC:ALButton>
            </div>
            <div id="Div_RefreshBtn">
                <ALCC:ALButton ID="Hidden_RefreshBtn" runat="server" OnClick="Hidden_RefreshBtn_Click"></ALCC:ALButton>
            </div>
            <div id="Div_2">
                <ALCC:ALButton ID="Hidden_AddTranslations" runat="server" OnClick="Hidden_AddTranslations_Click"></ALCC:ALButton>
            </div>
        </div>               
    </form>
</body>
</html>
